Summary: Small library that defines common error values for all GnuPG components
Name: libgpg-error
Version: 1.51
Release: r0
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.gnupg.org/related_software/libgpg-error/
Source0: libgpg-error-1.51.tar.bz2
Source1: series
Source2: run-ptest
Source3: 0001-Do-not-fail-when-testing-config-scripts.patch
Source4: pkgconfig.patch
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: gettext-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: virtual/libc
BuildRequires: virtual/update-alternatives
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.32)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.7)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.32)(64bit)
Requires(post): libc.so.6(GLIBC_2.34)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.7)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libgpg-error.so.0()(64bit)
Provides: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)

%description
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.

%package -n libgpg-error-src
Summary: Small library that defines common error values for all GnuPG components - Source files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel

%description -n libgpg-error-src
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains sources for
debugging purposes.

%package -n libgpg-error-dbg
Summary: Small library that defines common error values for all GnuPG components - Debugging files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Recommends: glibc-dbg

%description -n libgpg-error-dbg
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains ELF symbols and
related sources for debugging purposes.

%package -n libgpg-error-ptest
Summary: Small library that defines common error values for all GnuPG components - Package test files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: /bin/sh
Requires: bash
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc.so.6(GLIBC_2.8)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgpg-error >= 1.51
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires: make
Requires: rtld(GNU_HASH)
Recommends: ptest-runner

%description -n libgpg-error-ptest
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains a test
directory /usr/lib/libgpg-error/ptest for package test purposes.

%package -n libgpg-error-staticdev
Summary: Small library that defines common error values for all GnuPG components - Development files (Static Libraries)
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: libgpg-error-dev = 1.51-r0

%description -n libgpg-error-staticdev
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains static
libraries for software development.

%package -n libgpg-error-dev
Summary: Small library that defines common error values for all GnuPG components - Development files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: /bin/sh
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libgpg-error >= 1.51
Requires: libgpg-error.so.0()(64bit)
Requires: libgpg-error.so.0(GPG_ERROR_1.0)(64bit)
Requires: rtld(GNU_HASH)
Recommends: bash-dev
Recommends: glibc-dev
Recommends: libgpg-error = 1.51-r0
Recommends: make-dev

%description -n libgpg-error-dev
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains symbolic links,
header files, and related items necessary for software development.

%package -n libgpg-error-doc
Summary: Small library that defines common error values for all GnuPG components - Documentation files
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: doc

%description -n libgpg-error-doc
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains documentation.

%package -n libgpg-error-locale-cs
Summary: Small library that defines common error values for all GnuPG components - cs translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-cs
Provides: cs-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-cs
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the cs locale.

%package -n libgpg-error-locale-da
Summary: Small library that defines common error values for all GnuPG components - da translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-da
Provides: da-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-da
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the da locale.

%package -n libgpg-error-locale-de
Summary: Small library that defines common error values for all GnuPG components - de translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-de
Provides: de-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-de
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the de locale.

%package -n libgpg-error-locale-eo
Summary: Small library that defines common error values for all GnuPG components - eo translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-eo
Provides: eo-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-eo
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the eo locale.

%package -n libgpg-error-locale-es
Summary: Small library that defines common error values for all GnuPG components - es translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-es
Provides: es-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-es
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the es locale.

%package -n libgpg-error-locale-fr
Summary: Small library that defines common error values for all GnuPG components - fr translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-fr
Provides: fr-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-fr
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the fr locale.

%package -n libgpg-error-locale-hu
Summary: Small library that defines common error values for all GnuPG components - hu translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-hu
Provides: hu-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-hu
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the hu locale.

%package -n libgpg-error-locale-it
Summary: Small library that defines common error values for all GnuPG components - it translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-it
Provides: it-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-it
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the it locale.

%package -n libgpg-error-locale-ja
Summary: Small library that defines common error values for all GnuPG components - ja translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-ja
Provides: ja-translation
Provides: libgpg-error-locale

%description -n libgpg-error-locale-ja
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the ja locale.

%package -n libgpg-error-locale-nl
Summary: Small library that defines common error values for all GnuPG components - nl translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-nl
Provides: libgpg-error-locale
Provides: nl-translation

%description -n libgpg-error-locale-nl
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the nl locale.

%package -n libgpg-error-locale-pl
Summary: Small library that defines common error values for all GnuPG components - pl translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-pl
Provides: libgpg-error-locale
Provides: pl-translation

%description -n libgpg-error-locale-pl
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the pl locale.

%package -n libgpg-error-locale-pt
Summary: Small library that defines common error values for all GnuPG components - pt translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-pt
Provides: libgpg-error-locale
Provides: pt-translation

%description -n libgpg-error-locale-pt
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the pt locale.

%package -n libgpg-error-locale-ro
Summary: Small library that defines common error values for all GnuPG components - ro translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-ro
Provides: libgpg-error-locale
Provides: ro-translation

%description -n libgpg-error-locale-ro
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the ro locale.

%package -n libgpg-error-locale-ru
Summary: Small library that defines common error values for all GnuPG components - ru translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-ru
Provides: libgpg-error-locale
Provides: ru-translation

%description -n libgpg-error-locale-ru
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the ru locale.

%package -n libgpg-error-locale-sr
Summary: Small library that defines common error values for all GnuPG components - sr translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-sr
Provides: libgpg-error-locale
Provides: sr-translation

%description -n libgpg-error-locale-sr
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the sr locale.

%package -n libgpg-error-locale-sv
Summary: Small library that defines common error values for all GnuPG components - sv translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-sv
Provides: libgpg-error-locale
Provides: sv-translation

%description -n libgpg-error-locale-sv
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the sv locale.

%package -n libgpg-error-locale-tr
Summary: Small library that defines common error values for all GnuPG components - tr translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-tr
Provides: libgpg-error-locale
Provides: tr-translation

%description -n libgpg-error-locale-tr
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the tr locale.

%package -n libgpg-error-locale-uk
Summary: Small library that defines common error values for all GnuPG components - uk translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-uk
Provides: libgpg-error-locale
Provides: uk-translation

%description -n libgpg-error-locale-uk
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the uk locale.

%package -n libgpg-error-locale-vi
Summary: Small library that defines common error values for all GnuPG components - vi translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-vi
Provides: libgpg-error-locale
Provides: vi-translation

%description -n libgpg-error-locale-vi
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the vi locale.

%package -n libgpg-error-locale-zh-cn
Summary: Small library that defines common error values for all GnuPG components - zh_CN translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-zh-cn
Provides: libgpg-error-locale
Provides: zh-cn-translation

%description -n libgpg-error-locale-zh-cn
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the zh_CN locale.

%package -n libgpg-error-locale-zh-tw
Summary: Small library that defines common error values for all GnuPG components - zh_TW translations
License: GPL-2.0-or-later & LGPL-2.1-or-later
Group: libs
Recommends: virtual-locale-zh-tw
Provides: libgpg-error-locale
Provides: zh-tw-translation

%description -n libgpg-error-locale-zh-tw
Contains common error codes and error handling functions used by GnuPG,
Libgcrypt, GPGME and more packages.   This package contains language
translation files for the zh_TW locale.

%post
# libgpg-error - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/bin/yat2m"
%attr(755,root,root) "/usr/lib/libgpg-error.so.0.38.0"
%attr(777,root,root) "/usr/lib/libgpg-error.so.0"

%files -n libgpg-error-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libgpg-error"
%attr(755,root,root) %dir "/usr/src/debug/libgpg-error/1.51"
%attr(755,root,root) %dir "/usr/src/debug/libgpg-error/1.51/doc"
%attr(755,root,root) %dir "/usr/src/debug/libgpg-error/1.51/tests"
%attr(755,root,root) %dir "/usr/src/debug/libgpg-error/1.51/src"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/doc/yat2m.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-b64.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-lock-single-posix.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-syserror.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-common.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-spawn.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-lock.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-version.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-stringutils.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-argparse.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-poll.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-printf.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-logging.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-strerror.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/tests/t-malloc.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/err-codes-sym.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/b64dec.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/strsource.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/init.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/strsource-sym.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/argparse.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/posix-lock-obj.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/err-codes.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/version.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/b64enc.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/spawn-posix.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/logging.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/code-to-errno.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/strerror.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/posix-thread.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/gpgrt.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/code-to-errno.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/err-sources.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/posix-lock.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/gpgrt-int.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/estream-printf.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/stringutils.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/syscall-clamp.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/visibility.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/estream-printf.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/strerror-sym.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/gpg-error.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/code-from-errno.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/code-from-errno.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/estream.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/sysutils.c"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/gpg-error.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/errnos-sym.h"
%attr(644,root,root) "/usr/src/debug/libgpg-error/1.51/src/err-sources-sym.h"

%files -n libgpg-error-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/yat2m"
%attr(755,root,root) "/usr/bin/.debug/gpg-error"
%attr(755,root,root) %dir "/usr/lib/libgpg-error"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) %dir "/usr/lib/libgpg-error/ptest"
%attr(755,root,root) %dir "/usr/lib/libgpg-error/ptest/.debug"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-lock-single-posix"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-logging"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-poll"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-stringutils"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-b64"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-syserror"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-spawn"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-argparse"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-lock"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-printf"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-strerror"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-version"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/.debug/t-malloc"
%attr(755,root,root) "/usr/lib/.debug/libgpg-error.so.0.38.0"

%files -n libgpg-error-ptest
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/lib/libgpg-error"
%attr(755,root,root) %dir "/usr/lib/libgpg-error/ptest"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-lock-single-posix"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-logging"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-poll"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-stringutils"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/Makefile"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/run-ptest"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-b64"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-syserror"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-spawn"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-argparse"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-lock"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-printf"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-strerror"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-version"
%attr(755,root,root) "/usr/lib/libgpg-error/ptest/t-malloc"

%files -n libgpg-error-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/share/aclocal"
%attr(644,root,root) "/usr/share/aclocal/gpg-error.m4"
%attr(644,root,root) "/usr/share/aclocal/gpgrt.m4"
%attr(755,root,root) "/usr/bin/gpg-error-config"
%attr(755,root,root) "/usr/bin/gpg-error"
%attr(755,root,root) "/usr/bin/gpgrt-config"
%attr(644,root,root) "/usr/include/gpg-error-64.h"
%attr(644,root,root) "/usr/include/gpgrt.h"
%attr(644,root,root) "/usr/include/gpgrt-64.h"
%attr(644,root,root) "/usr/include/gpg-error.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libgpg-error.so"
%attr(644,root,root) "/usr/lib/pkgconfig/gpg-error.pc"

%files -n libgpg-error-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/libgpg-error"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man"
%attr(644,root,root) "/usr/share/libgpg-error/errorref.txt"
%attr(644,root,root) "/usr/share/info/gpgrt.info"
%attr(755,root,root) %dir "/usr/share/man/man1"
%attr(644,root,root) "/usr/share/man/man1/gpgrt-config.1"

%files -n libgpg-error-locale-cs
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/cs"
%attr(755,root,root) %dir "/usr/share/locale/cs/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/cs/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-da
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/da"
%attr(755,root,root) %dir "/usr/share/locale/da/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/da/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-de
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/de"
%attr(755,root,root) %dir "/usr/share/locale/de/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/de/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-eo
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/eo"
%attr(755,root,root) %dir "/usr/share/locale/eo/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/eo/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-es
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/es"
%attr(755,root,root) %dir "/usr/share/locale/es/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/es/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-fr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/fr"
%attr(755,root,root) %dir "/usr/share/locale/fr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/fr/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-hu
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/hu"
%attr(755,root,root) %dir "/usr/share/locale/hu/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/hu/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-it
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/it"
%attr(755,root,root) %dir "/usr/share/locale/it/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/it/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-ja
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ja"
%attr(755,root,root) %dir "/usr/share/locale/ja/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ja/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-nl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/nl"
%attr(755,root,root) %dir "/usr/share/locale/nl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/nl/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-pl
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pl"
%attr(755,root,root) %dir "/usr/share/locale/pl/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pl/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-pt
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/pt"
%attr(755,root,root) %dir "/usr/share/locale/pt/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/pt/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-ro
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ro"
%attr(755,root,root) %dir "/usr/share/locale/ro/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ro/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-ru
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/ru"
%attr(755,root,root) %dir "/usr/share/locale/ru/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/ru/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-sr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sr"
%attr(755,root,root) %dir "/usr/share/locale/sr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sr/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-sv
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/sv"
%attr(755,root,root) %dir "/usr/share/locale/sv/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/sv/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-tr
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/tr"
%attr(755,root,root) %dir "/usr/share/locale/tr/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/tr/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-uk
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/uk"
%attr(755,root,root) %dir "/usr/share/locale/uk/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/uk/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-vi
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/vi"
%attr(755,root,root) %dir "/usr/share/locale/vi/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/vi/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-zh-cn
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN"
%attr(755,root,root) %dir "/usr/share/locale/zh_CN/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_CN/LC_MESSAGES/libgpg-error.mo"

%files -n libgpg-error-locale-zh-tw
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/locale"
%attr(755,root,root) %dir "/usr/share/locale/zh_TW"
%attr(755,root,root) %dir "/usr/share/locale/zh_TW/LC_MESSAGES"
%attr(644,root,root) "/usr/share/locale/zh_TW/LC_MESSAGES/libgpg-error.mo"

%%prep
echo "include logs and patches, Please check them in SOURCES"

